Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1865624

Summary: wingpanel: FTBFS in Fedora rawhide/f33
Product: [Fedora] Fedora Reporter: Fedora Release Engineering <releng>
Component: wingpanelAssignee: Fabio Valentini <decathorpe>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 33CC: decathorpe
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: wingpanel-2.3.2-4.fc33 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-09-25 16:38:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1863591    
Bug Blocks: 1803234, 1831512, 1871641    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Fedora Release Engineering 2020-08-03 21:29:14 UTC
wingpanel failed to build from source in Fedora rawhide/f33

https://koji.fedoraproject.org/koji/taskinfo?taskID=48362603


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
Please fix wingpanel at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
wingpanel will be orphaned. Before branching of Fedora 34,
wingpanel will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-08-03 21:29:16 UTC
Created attachment 1710025 [details]
build.log

Comment 2 Fedora Release Engineering 2020-08-03 21:29:17 UTC
Created attachment 1710026 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-08-03 21:29:18 UTC
Created attachment 1710027 [details]
state.log

Comment 4 Ben Cotton 2020-08-11 15:15:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 5 Fabio Valentini 2020-08-13 20:21:50 UTC
Building wingpanel is blocked by gala FTBFS.

Comment 6 Fabio Valentini 2020-08-23 18:29:16 UTC
Upstream issue:
https://github.com/elementary/wingpanel/issues/339

Comment 7 Fedora Update System 2020-08-29 19:22:18 UTC
FEDORA-2020-ecda2d7fc8 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ecda2d7fc8

Comment 8 Fedora Update System 2020-08-31 14:28:11 UTC
FEDORA-2020-ecda2d7fc8 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ecda2d7fc8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ecda2d7fc8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-25 16:38:51 UTC
FEDORA-2020-ecda2d7fc8 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.